<template>
	<view>
		<oct-logistics
			:info="info"
			:logs="logs"
		/>
	</view>
</template>

<script>
	import { logistic } from '@/apis/interfaces/order'
	export default {
		data() {
			return {
				info: {},
				logs: []
			};
		},
		mounted() {
			logistic(this.$Route.query.orderNo).then(res =>{
				this.info = {
					logo	: res.orderExpress.logistic_cover,
					no		: res.orderExpress.express_no,
					company	: res.orderExpress.logistic_name
				}
				this.logs = res.logistics
			}).catch(err =>{
				uni.showToast({
					title: err.message,
					icon : 'none'
				})
			})
		}
	};
</script>

<style></style>
